Bug 85775 - [BlackBerry] Cookie parsing issue. If the cookie value provided was (") then the browser creates a session cookie instead.
Summary: [BlackBerry] Cookie parsing issue. If the cookie value provided was (") then ...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit BlackBerry (show other bugs)
Version: 528+ (Nightly build)
Hardware: Other Other
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on: 86066
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-06 23:10 PDT by Jason Liu
Modified: 2012-05-10 01:19 PDT (History)
6 users (show)

See Also:


Attachments
Patch (5.73 KB, patch)
2012-05-09 04:51 PDT, Jason Liu
no flags Details | Formatted Diff | Diff
Patch (5.73 KB, patch)
2012-05-09 05:05 PDT, Jason Liu
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jason Liu 2012-05-06 23:10:31 PDT
Steps to repro:
---------------
1) Visit the page
http://browsertest01.rim.net/test/networking/cookies/setModCookies.php
2) Enable inspector and start inspecting the page using Desktop Chrome
3) Set the cookie value to " and click the button "Modify Value!"
4) On Desktop browser, navigate to the "Resources" Tab and inspect the cookies


Expected result:
-----------------
4) A presistant cookie created with value " and expires in one day

Actual result:
--------------
4) A session cookie created with value ("; expires=XXXX)
Comment 1 Jason Liu 2012-05-09 04:51:07 PDT
Created attachment 140917 [details]
Patch
Comment 2 Jason Liu 2012-05-09 05:05:06 PDT
Created attachment 140919 [details]
Patch
Comment 3 Rob Buis 2012-05-09 10:39:23 PDT
Hi Jason,

(In reply to comment #2)
> Created an attachment (id=140919) [details]
> Patch

This looks good to me. Have you checked that all other cookie tests still pass?
Comment 4 Jason Liu 2012-05-09 19:37:28 PDT
(In reply to comment #3)
> Hi Jason,
> 
> (In reply to comment #2)
> > Created an attachment (id=140919) [details] [details]
> > Patch
> 
> This looks good to me. Have you checked that all other cookie tests still pass?

Yes. I've tested.
Comment 5 Rob Buis 2012-05-09 19:44:55 PDT
Comment on attachment 140919 [details]
Patch

Looks good.
Comment 6 Jason Liu 2012-05-09 19:54:24 PDT
(In reply to comment #5)
> (From update of attachment 140919 [details])
> Looks good.

Thank you. :)
Comment 7 WebKit Review Bot 2012-05-09 20:30:05 PDT
Comment on attachment 140919 [details]
Patch

Clearing flags on attachment: 140919

Committed r116601: <http://trac.webkit.org/changeset/116601>
Comment 8 WebKit Review Bot 2012-05-09 20:30:11 PDT
All reviewed patches have been landed.  Closing bug.